.invalid {
    border-left-color: red!important;
}

/*//=======//
// Fonts //
//=======//*/

.FontWeight--bold,
.FontWeight--700 {
    font-weight: 700 !important;
}

.FontWeight--semibold,
.FontWeight--600 {
    font-weight: 600 !important;
}

.FontWeight--normal,
.FontWeight--400 {
    font-weight: 400 !important;
}

.FontWeight--light,
.FontWeight--100 {
    font-weight: 100 !important;
}

.FontStyle--italic {
    font-style: italic !important;
}

.TextTransform--uppercase {
    text-transform: uppercase !important;
}

.TextTransform--none {
    text-transform: none !important;
}

/*//=========//
// Display //
//=========//*/

.Visibility--hidden {
    visibility: hidden !important;
}

.Visibility--visible {
    visibility: visible !important;
}

.Display--none {
    display: none !important;
}

.Display--block {
    display: block !important;
}

.Display--inline-block {
    display: inline-block !important;
}

.Display--flex {
    display: flex !important;
}

.Display--inline {
    display: inline !important;
}

.Display--table {
    display: table !important;
}

.Display--table-row {
    display: table-row !important;
}

.Overflow--hidden {
    overflow: hidden !important;
}

.Overflow--visible {
    overflow: visible !important;
}

.OverflowY--scroll {
    overflow-y: scroll !important;
}

/*//========//
// Cursor //
//========//*/

.Cursor--default {
    cursor: default !important;
}

.Cursor--pointer {
    cursor: pointer !important;
}

.Cursor--zoom-in {
    cursor: pointer !important;
    cursor: zoom-in !important;
}

/*//===========//
// Alignment //
//===========//*/

.VerticalAlign--top {
    vertical-align: top !important;
}

.VerticalAlign--bottom {
    vertical-align: bottom !important;
}

.TextAlign--right {
    text-align: right !important;
}

.TextAlign--left {
    text-align: left !important;
}

.TextAlign--center {
    text-align: center !important;
}

.VerticalAlign--middle {
    vertical-align: middle !important;
}

.AlignSelf--start {
    align-self: start !important;
}

.AlignSelf--top {
    align-self: flex-start !important;
}

.AlignSelf--center {
    align-self: center !important;
}

.AlignSelf--bottom {
    align-self: flex-end !important;
}

.JustifyContent--flex-end {
    justify-content: flex-end !important;
}

.JustifyContent--center {
    justify-content: center !important;
}

.Float--left {
    float: left !important;
}

.Float--right {
    float: right !important;
}

.WhiteSpace--nowrap {
    white-space: nowrap !important;
}

.WordBreak--break-all {
    word-break: break-all !important;
}

.AlignItems--start {
    align-items: start !important;
}

.AlignItems--stretch {
    align-items: stretch !important;
}

/*//==========//
// Position //
//==========//*/
.Position--relative {
    position: relative !important;
}

.Position--fixed {
    position: fixed !important;
}

/*//======//
// Misc //
//======//*/

.Padding--0,
.NoPadding {
    padding: 0 !important;
}

.PaddingBottom--0 {
    padding-bottom: 0 !important;
}

.PaddingTop--0 {
    padding-top: 0 !important;
}

.Margin--0,
.NoMargin {
    margin: 0 !important;
}

.MarginLeft--auto {
    margin-left: auto !important;
}

.MarginRight--auto {
    margin-right: auto !important;
}

.Border--0 {
    border: 0 !important;
}

.UserSelect--none {
    user-select: none !important;
}

.PointerEvents--none {
    pointer-events: none !important;
}

.Width--100 {
    width: 100% !important;
}

.Width--75 {
    width: 75% !important;
}

.Width--50 {
    width: 50% !important;
}

.Width--25 {
    width: 25% !important;
}

.Flex--1 {
    flex: 1 !important;
    min-width: 0;
}

